use std::path::Path;

use log::info;

use ambient_driver::{action::ActionRunnerBuilder, plan::Plan, qemu};

const PLAN_FILENAME: &str = "plan.yaml";

fn main() -> anyhow::Result<()> {
    pretty_env_logger::init();
    println!("run-ci starts");
    info!("xyzzy, via log");
    println!("xyzzy, via log");
    let plan = Plan::from_file(Path::new(PLAN_FILENAME))?;
    println!("run-ci: plan from file={plan:#?}");
    let runner = ActionRunnerBuilder::default()
        .source(Path::new(qemu::SOURCE_DIR))
        .dependencies(Path::new(qemu::DEPS_DIR))
        .artifacts(Path::new(qemu::ARTIFACTS_DIR))
        .build()?;
    for action in plan.iter() {
        println!("RUN: {:#?}", action);
        runner.execute(action)?;
    }
    println!("run-ci ends");
    Ok(())
}
